Bug 204312 - multimedia/mkvtoolnix: update to 8.5.2
Summary: multimedia/mkvtoolnix: update to 8.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-05 19:10 UTC by Yuri Victorovich
Modified: 2015-11-18 12:12 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)


Attachments
patch (16.66 KB, patch)
2015-11-05 19:10 UTC, Yuri Victorovich
no flags Details | Diff
poudriere log (36.71 KB, text/plain)
2015-11-05 19:15 UTC, Yuri Victorovich
no flags Details
patch (17.62 KB, patch)
2015-11-08 02:21 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-11-05 19:10:06 UTC
Created attachment 162817 [details]
patch
Comment 1 Yuri Victorovich freebsd_committer 2015-11-05 19:15:56 UTC
Created attachment 162818 [details]
poudriere log

Summary of changes:
* Removed wxWidgets because wxWidgets are completely removed from the project (as per ChangeLog)
* Added NLS option due to gettext use

I ran poudriere build with and without QT5, both work. QT5=off is default.
Comment 2 Max Brazhnikov freebsd_committer 2015-11-07 09:44:02 UTC
I would prefer to enable QT% option by default, considering it is the only GUI now.
Comment 3 Yuri Victorovich freebsd_committer 2015-11-07 09:48:29 UTC
But most people will use it as a command line utility. Enabling QT by default would pull a ton of dependencies for just one simple window.
Comment 4 Max Brazhnikov freebsd_committer 2015-11-07 15:07:08 UTC
(In reply to yuri from comment #3)
> But most people will use it as a command line utility. Enabling QT by
> default would pull a ton of dependencies for just one simple window.

Firstly GUI option (WXGTK) was enabled by default before the project has switched to different toolkit. Secondly, for users which primarily use packages building the port without GUI option (if they don't want to install Qt 5) is less problematic than vice versa.

Btw, the NLS option is not respected. Would you like to spend more time on it? Alternatively I could revert it.
Comment 5 Yuri Victorovich freebsd_committer 2015-11-07 19:04:40 UTC
Ok, thanks, I will fix it.
Comment 6 Yuri Victorovich freebsd_committer 2015-11-08 02:21:18 UTC
Created attachment 162890 [details]
patch

Updated patch:
* set QT5=on as a default
* fixed NLS option

poudriere build still passes.
Comment 7 commit-hook freebsd_committer 2015-11-18 10:47:59 UTC
A commit references this bug:

Author: makc
Date: Wed Nov 18 10:47:27 UTC 2015
New revision: 401860
URL: https://svnweb.freebsd.org/changeset/ports/401860

Log:
  multimedia/mkvtoolnix:
  - Update to 8.5.2.
  - WXGTK support has been removed upstream in favour of Qt
  - Amend BROKEN message
  - Enable verbose build when PACKAGE_BUILDING is set (instead of BATCH)
  - Decouple CURL option for online update checks from QT5
  - Add NLS option
  - Sort plist

  PR:		based on 204312
  Submitted by:	yuri@rawbw.com

Changes:
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/mkvtoolnix/distinfo
  head/multimedia/mkvtoolnix/files/patch-src-common-timecode.h
  head/multimedia/mkvtoolnix/pkg-plist
Comment 8 Max Brazhnikov freebsd_committer 2015-11-18 11:11:17 UTC
Thanks, I've committed slightly modified version. For the future, you don't have to supply poudriere build log along with a patch. If committer reveals a problem during testing, then the attached build log proves nothing, and if the patch is ok, then the build log is not needed.
Comment 9 Yuri Victorovich freebsd_committer 2015-11-18 11:15:29 UTC
Well, people were asking for poudriere build before.
Thanks.
Comment 10 Max Brazhnikov freebsd_committer 2015-11-18 12:12:22 UTC
(In reply to yuri from comment #9)
> Well, people were asking for poudriere build before.
> Thanks.

It's a committer responsibility to properly check submitted patch. Of course this doesn't mean submitters shouldn't test it. Instead of providing build logs you could tell which OS versions/architectures the patch has been tested with poudriere.